<?php add_action( 'vc_before_init', 'dt_sc_portfolio_categories_list' );
function dt_sc_portfolio_categories_list() {

	vc_map( array(
		"name" => esc_html__( "Portfolios Categories", 'craftsandarts-core' ),
		"base" => "dt_sc_portfolio_categories_list",
		"icon" => "dt_sc_portfolio_categories_list",
		"category" => DT_VC_CATEGORY,
		"params" => array(

			// With Ajax Load
			/*array(
				'type' => 'dropdown',
				'heading' => esc_html__('With Ajax Load','craftsandarts-core'),
				'param_name' => 'with_ajax_load',
				'value' => array(
								esc_html__('False','craftsandarts-core') => 'false',
								esc_html__('True','craftsandarts-core') => 'true',
							),
				'std' => 'false'
			),	*/

			// Hide Empty
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hide Empty','craftsandarts-core'),
				'param_name' => 'hide_empty',
				'value' => array(
								esc_html__('False','craftsandarts-core') => 'false',
								esc_html__('True','craftsandarts-core') => 'true',
							),
				'std' => 'true'
			),

			// Categories
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Include', 'craftsandarts-core' ),
				'param_name' => 'include',
				'description' => esc_html__( 'Category item ids to include.', 'craftsandarts-core' ),
			),		

			// Column Layout
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Column Layout','craftsandarts-core'),
				'param_name' => 'columns',
				'value' => array( 
								esc_html__('II Columns','craftsandarts-core') => '2' ,
								esc_html__('III Columns','craftsandarts-core') => '3',
								esc_html__('IV Columns','craftsandarts-core') => '4',
							),	
				'std' => '4',			
			),

			// Posts Per Page
			/*array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Posts Per Page', 'craftsandarts-core' ),
				'param_name' => 'posts_per_page',
				'description' => esc_html__( 'Number of posts to display per page.', 'craftsandarts-core' ),
				'std' => '6',
				'dependency' => array(
					'element' => 'with_ajax_load',
					'value' => array('true'),
				),				
			),*/	

			// Posts Column Layout
			/*array(
				'type' => 'dropdown',
				'heading' => esc_html__('Posts Column Layout','craftsandarts-core'),
				'param_name' => 'posts_columns',
				'value' => array( 
								esc_html__('II Columns','craftsandarts-core') => '2' ,
								esc_html__('III Columns','craftsandarts-core') => '3',
								esc_html__('IV Columns','craftsandarts-core') => '4',
							),
				'std' => '3',
				'dependency' => array(
					'element' => 'with_ajax_load',
					'value' => array('true'),
				),				
			),*/
				
		)
	) );
} ?>