<?php add_action( 'vc_before_init', 'dt_sc_portfolio_fullscreen_slider_vc_map' );
function dt_sc_portfolio_fullscreen_slider_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Portfolio FullScreen Slider", 'craftsandarts-core' ),
		"base" => "dt_sc_portfolio_fullscreen_slider",
		"icon" => "dt_sc_portfolio_fullscreen_slider",
		"category" => DT_VC_CATEGORY .' ( '.esc_html__('Single Portfolio','craftsandarts-core').')',
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'craftsandarts-core' ),
				'param_name' => 'portfolio_id',
				'description' => esc_html__( 'Enter portfolio id here. If you are going to use this shortcode in portfolio single page no need to give portfolio id.', 'craftsandarts-core' ),
				'admin_label' => true
			),

			// Show Featured Image
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Featured Image', 'craftsandarts-core' ),
				'description' => esc_html__( 'Choose "Yes" if you like to show featured image along with gallery.', 'craftsandarts-core' ),
				'param_name' => 'show_feature_image',
				'value' => array(
					esc_html__( 'False', 'craftsandarts-core' ) => '',
					esc_html__( 'True', 'craftsandarts-core' ) => 'true',
				),
			),

		)
	) );
}?>