<?php add_action( 'vc_before_init', 'dt_sc_portfolio_terms_vc_map' );
function dt_sc_portfolio_terms_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Portfolio Terms", 'craftsandarts-core' ),
		"base" => "dt_sc_portfolio_terms",
		"icon" => "dt_sc_portfolio_terms",
		"category" => DT_VC_CATEGORY .' ( '.esc_html__('Single Portfolio','craftsandarts-core').')',
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'craftsandarts-core' ),
				'param_name' => 'portfolio_id',
				'description' => esc_html__( 'Enter portfolio id here. If you are going to use this shortcode in portfolio single page no need to give portfolio id.', 'craftsandarts-core' ),
				'admin_label' => true
			),

			// With Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('With Icon','craftsandarts-core'),
				'param_name' => 'with_icon',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
			),

			// Term
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Term','infi-core'),
				'param_name' => 'term',
				'value' => array(
					esc_html__('Category','infi-core') => '',
					esc_html__('Tag','infi-core') => 'tag',
				),
			),	

		)
	) );
}?>