<?php add_action( 'vc_before_init', 'dt_sc_twitter_tweets_vc_map' );
function dt_sc_twitter_tweets_vc_map() {

	vc_map( array( 
		"name" => esc_html__( "Twitter tweets", 'craftsandarts-core' ),
		"base" => "dt_sc_twitter_tweets",
		"icon" => "dt_sc_twitter_tweets",
		"category" => DT_VC_CATEGORY,
		"params" => array(

			# Consumer Key
			array(
				'type' => 'textfield',
				'param_name' => 'consumerkey',
				'heading' => esc_html__( 'Consumer key', 'craftsandarts-core' ),
				'description' => esc_html__( 'Enter Consumer key', 'craftsandarts-core' ),
			),

			# Consumer secret
			array(
				'type' => 'textfield',
				'param_name' => 'consumersecret',
				'heading' => esc_html__( 'Consumer secret', 'craftsandarts-core' ),
				'description' => esc_html__( 'Enter Consumer secret', 'craftsandarts-core' ),
			),

			# Access token 
			array(
				'type' => 'textfield',
				'param_name' => 'accesstoken',
				'heading' => esc_html__( 'Access token', 'craftsandarts-core' ),
				'description' => esc_html__( 'Enter Access token', 'craftsandarts-core' ),
			),

			# Access token secret
			array(
				'type' => 'textfield',
				'param_name' => 'accesstokensecret',
				'heading' => esc_html__( 'Access token secret', 'craftsandarts-core' ),
				'description' => esc_html__( 'Enter Access token secret', 'craftsandarts-core' ),
			),

			# Consumer Key
			array(
				'type' => 'textfield',
				'param_name' => 'username',
				'heading' => esc_html__( 'Twitter username', 'craftsandarts-core' ),
				'description' => esc_html__( 'Enter Twitter username', 'craftsandarts-core' ),
			),

			# Avatar
			array(
				'type' => 'dropdown',
				'param_name' => 'useravatar',
				'heading' => esc_html__('Show avatar?','craftsandarts-core'),
				'value' => array( esc_html__('Yes','craftsandarts-core') => 'yes' , esc_html__('No','craftsandarts-core') => 'no' ),
				'std' => 'no'
			)
		)		
	) );
}?>