<?php add_action( 'vc_before_init', 'dt_sc_type_writing_text_vc_map' );
function dt_sc_type_writing_text_vc_map() {

	vc_map( array(
		"name" => esc_html__( "Type Writing Text", 'craftsandarts-core' ),
            "base" => "dt_sc_type_writing_text",
		"icon" => "dt_sc_type_writing_text",
		"category" => DT_VC_CATEGORY,
		"params" => array(

      		// Content
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Text','craftsandarts-core'),
				'param_name' => 'text',
				'value' => ''
                  ),


                  // Font Size
                  array(
                        "type" => "textfield",
                        "heading" => esc_html__( "Font Size", 'craftsandarts-core' ),
                        "param_name" => "font_size"
                  ),			
			
			// Text Color
      		array(
      			'type' => 'colorpicker',
      			'heading' => esc_html__( 'Font Color', 'craftsandarts-core' ),
      			'param_name' => 'font_color',
      			'description' => esc_html__( 'Select content color', 'craftsandarts-core' ),
      		),

		)
	) );	
} ?>