<?php add_action( 'vc_before_init', 'dt_sc_footer_widgets_vc_map' );
function dt_sc_footer_widgets_vc_map() {


    $widgets = craftsandarts_option('widgetarea','footer');
    $widgets = is_array($widgets) ? array_unique($widgets) : array();
    $widgets = array_filter($widgets);
    array_unshift($widgets, 'None');

	vc_map( array(
		"name" => esc_html__( "Footer Widgets", 'craftsandarts-core' ),
		"base" => "dt_sc_footer_widgets",
		"icon" => "dt_sc_footer_widgets",
		"category" => DT_VC_CATEGORY,
		"params" => array(

      		// Widgets
      		array(
      			'type' => 'dropdown',
      			'heading' => esc_html__( 'Widget', 'craftsandarts-core' ),
      			'param_name' => 'widget',
      			'value' => $widgets,
      			'description' => esc_html__( 'Choose footer widget area here.', 'craftsandarts-core' ),
      		),

		)
	) );
}?>