<?php add_action( 'vc_before_init', 'dt_sc_onepage_navigation_title_holder_vc_map' );
function dt_sc_onepage_navigation_title_holder_vc_map() {

	global $dt_animation_types;

	vc_map( array(
		"name" => esc_html__( "Onepage Navigation Title Holder", 'craftsandarts-core' ),
		"base" => "dt_sc_onepage_navigation_title_holder",
		"icon" => "dt_sc_onepage_navigation_title_holder",
		"category" => DT_VC_CATEGORY .' ( '.esc_html__('Single Portfolio','craftsandarts-core').')',
		"params" => array(

			// Navigation IDs
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Navigation IDs', 'craftsandarts-core' ),
				'param_name' => 'navigation_ids',
				'description' => esc_html__( 'Enter navigation ids separated by commas.', 'craftsandarts-core' ),
				'admin_label' => true
			),

			// Navigation Titles
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Navigation Titles', 'craftsandarts-core' ),
				'param_name' => 'navigation_titles',
				'description' => esc_html__( 'Enter navigation titles separated by commas.', 'craftsandarts-core' ),
				'admin_label' => true
			),			

			// Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Type','craftsandarts-core'),
				'param_name' => 'type',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => '', 
							esc_html__('Boxed','craftsandarts-core') => 'boxed', 
							esc_html__('Rounded','craftsandarts-core') => 'rounded', 
						),
				'std' => ''
			),

			// Position
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Position','craftsandarts-core'),
				'param_name' => 'position',
				'value' => array( 
							esc_html__('Left','craftsandarts-core') => 'left', 
							esc_html__('Right','craftsandarts-core') => 'right', 
							esc_html__('Bottom Left','craftsandarts-core') => 'bottom-left', 
							esc_html__('Bottom Right','craftsandarts-core') => 'bottom-right', 
						),
				'std' => 'left'
			),	
			
		)
	) );

}
?>